.
Results 1 to 12 of 12

Thread: Problems with Wellcars

  1. #1
    Join Date
    Nov 2006
    Location
    United States of America, NJ
    Posts
    1,998

    Default Problems with Wellcars

    I downloaded Joe's wellcars and have gotten the message that they're missing dependencies but after checking on the missing dependencies I haven't found any missing. Yes, I downloaded the container pack. I have no idea what the missing dependencies might be. The only oddity in the config is wulf_9's arn library v2.02 which has a very large number at the end (2:104722:2501038:127). Is that correct? I really prefer using Joe's wellcars verses the others on the dls. Much better quality and will load a bigger variety of containers. Any suggestions or ideas will be greatly appreciated.
    pop pop

  2. #2
    Join Date
    Feb 2015
    Location
    United States of America
    Posts
    345

    Default

    Stouthm,
    I don't that's the problem I have same version of arn library. Are you checking dependencies by right clicking on the well car and selecting list dependencies?
    Dean

  3. #3
    Join Date
    Nov 2006
    Location
    United States of America, NJ
    Posts
    1,998

    Default

    Hello Dean, yes, that is why I'm stumped. After right clicking on the list of dependencies I see NO missing dependencies. I've tried various solutions. Highlighted all and Open for Editing, then Submit Edits. Same message, missing dependencies. Revert to Original= same message. Deleted the Wellcar and then downloaded it again. Same message.This is happening with the 53ft DTTX Wellcars and the AP53 TTX Wellcars. Got me baffled.
    Last edited by stouthm; November 7th, 2018 at 10:30 PM.
    pop pop

  4. #4
    Join Date
    Feb 2015
    Location
    United States of America
    Posts
    345

    Default

    Stouthm,
    Are these cars actually from JointedRail or from Joe's website?
    Dean

  5. #5
    Join Date
    Nov 2006
    Location
    United States of America, NJ
    Posts
    1,998

    Default

    They are from JR.
    pop pop

  6. #6
    Join Date
    Nov 2006
    Location
    New Jersey, Mine Hill
    Posts
    2,323
    Blog Entries
    1

    Default

    This is a longshot but.........Is it possible you are missing a sub dependency? The JR train effects library has 2 dependencies of it's own.
    "My wife says that if I buy one more train, she is going to leave me. I'm going to miss her."

  7. #7
    Join Date
    Nov 2006
    Location
    United States of America, NJ
    Posts
    1,998

    Default

    boc61 - I'll check into that but in the meantime I'm seeing a "unknown asset" in the list of dependencies. It's kuid:334896:120029. Anyone know what that might be? I can't find it.
    pop pop

  8. #8
    Join Date
    Nov 2006
    Location
    United States of America, NJ
    Posts
    1,998

    Default

    Dean gave me a idea. I deleted all of the wellcars and then downloaded them from Joe's website along with all the container packs. Same damn message.

    boc61 - you got me hoping but yes I have the two dependencies for the JR Train Effects Library.
    pop pop

  9. #9
    Join Date
    Nov 2006
    Location
    New Jersey, Mine Hill
    Posts
    2,323
    Blog Entries
    1

    Default

    Quote Originally Posted by stouthm View Post
    boc61 - I'll check into that but in the meantime I'm seeing a "unknown asset" in the list of dependencies. It's kuid:334896:120029. Anyone know what that might be? I can't find it.
    Harry, that shows as the 53ft TOFC Trailer Pack #1 on Joe's site.
    "My wife says that if I buy one more train, she is going to leave me. I'm going to miss her."

  10. #10

    Default

    Stouthm,
    This is happening to me all the time downloading traincars for Trainz 12 into TANE.
    The fix is a bit tedious but it works:
    Open up the config file for the wellcar and look at the "kuid-table" near the bottom of the file.
    Now open up the dependencies for the well car.
    Check to see that all the dependencies' kuids match exactly the kuids in the "kuid-table".
    If not, change the number in the "kuid-table" to match the dependencies.
    Look throughout the config file for all the affected kuids and change them also. Some items, such as the "arn-lib", are near the top of the file (yes the number is high and is:127), and others, such as "bogey" and "allowed-products", are other places within the file, but they are always in the "kuid-table".
    Once all changes are made, close Config file, save changes and submit the asset.
    Let me know if there are any issues.

    Claude

  11. #11

    Default

    Quote Originally Posted by stouthm View Post
    boc61 - I'll check into that but in the meantime I'm seeing a "unknown asset" in the list of dependencies. It's kuid:334896:120029. Anyone know what that might be? I can't find it.
    BTW, Stouthm,
    the above kuid is Socaltrains' 53' TOFC Trailers Pack 1 and it is now updated to <kuid2:334896:120029:1>. This is what I meant in the above reply when I stated that the kuids had to match exactly.

  12. #12
    Join Date
    Nov 2006
    Location
    United States of America, NJ
    Posts
    1,998

    Default

    charlielima - you hit the nail right on the head. I did as you suggested and now they okay. What a pain in the butt and time consuming but now they work. I was under the impression that if you run a database repair that it would fix these type of problems. I guess I thought wrong. Thanks everyone for checking in here and I hope this helps others with the same problem.
    pop pop

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •